# fluent-plugin-reckoner-cdp

[Fluentd](https://fluentd.org/) output plugin to upload logs to Reckoner CDP .

This plugin depends on the Reckoner CDP's Ruby client library to communicate with the Reckoner CDP's REST APIs.

## Installation

### RubyGems

```
$ gem install fluent-plugin-reckoner-cdp
```

### Bundler

Add following line to your Gemfile:

```ruby
gem "fluent-plugin-reckoner-cdp"
```

And then execute:

```
$ bundle
```

## Configuration

### Fluent::Plugin::ReckonerCdpOutput

* token (string) (required): Your account's Workflow Token in Reckoner CDP.

* workflow_id (string) (required): The Workflow ID in Reckoner CDP.

* streaming_endpoint (string) (optional): Reckoner CDP's REST API endpoint.

## Copyright

* Copyright(c) 2020- ms03
* License
  * Apache License, Version 2.0
